Description

Hi,

Due to repository priorities, ruby-sinatra is not installed from the foreman repos thus the install of foreman-proxy aborts because of

unsatisfied dependencies. It is not installed from the foreman repos because of insufficient repository priority:

# echo include foreman_installer | puppet apply --modulepath /usr/share/foreman-installer -v

...

err: Removing mount files: /etc/puppet/files does not exist or is not a directory

err: /Stage[main]/Foreman_proxy::Install/Package[foreman-proxy]/ensure: change from purged to pres

ent failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install forema

n-proxy' returned 100: Reading package lists...

Building dependency tree...

Reading state information...

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

 foreman-proxy : Depends: ruby-sinatra (>= 1.3.3) but 1.3.2-2 is to be installed

E: Unable to correct problems, you have held broken packages.

# apt-cache policy ruby-sinatra

ruby-sinatra:

  Installed: 1.3.2-2

  Candidate: 1.3.2-2

  Version table:

     1.3.6-1 0

        500 http://deb.theforeman.org/ wheezy/stable amd64 Packages

 *** 1.3.2-2 0

        990 http://ftp.de.debian.org/debian/ wheezy/main amd64 Packages

        100 /var/lib/dpkg/status

# cat /etc/debian_version

7.1

The package ruby-sinatra can installed manually without problems:

apt-get install ruby-sinatra=1.3.6-1

Reading package lists... Done

Building dependency tree

Reading state information... Done

The following packages will be upgraded:

  ruby-sinatra

1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Need to get 251 kB of archives.
After this operation, 69.6 kB of additional disk space will be used.

Get:1 http://deb.theforeman.org/ wheezy/stable ruby-sinatra all 1.3.6-1 [251 kB]

Fetched 251 kB in 2s (89.5 kB/s)

Reading changelogs... Done

(Reading database ... 38940 files and directories currently installed.)

Preparing to replace ruby-sinatra 1.3.2-2 (using .../ruby-sinatra_1.3.6-1_all.deb) ...

Unpacking replacement ruby-sinatra ...

Setting up ruby-sinatra (1.3.6-1) ...

History

#1 - 07/22/2013 10:01 AM - Greg Sutcliffe

- Status changed from New to Rejected

Standard Debian installs have all repos set to priority=500, which would allow ruby-sinatra to be installed from our repo. I assume you've chosen to

set your primary Debian mirror to priority 990, so the behaviour you're seeing is entirely expected.

#2 - 07/23/2013 11:38 AM - Sam Kottler

- Status changed from Rejected to Need more information

Are you on a particular cloud provider that may change the priority or have it set to 990 as part of the installation process for your hosts?

#3 - 07/23/2013 11:52 AM - Michael Gebetsroither

Both are possible.

Most stable (wheezy) admins have to set the default distribution to "stable" because of the added backports repository (or any other repositories).

Without setting the default release, apt-get/aptitude would install most things from backports, which is a really bad for server health ;).

After setting eg.: APT::Default-Release "stable";

The default priority of repositories matching the release is 990, non-matching repositories have 500.

So to override a package you need either the right priority or a matching distribution in the release file.

#4 - 10/27/2013 04:24 PM - Greg Sutcliffe

- Description updated

- Status changed from Need more information to Resolved

We altered the repos to use 'stable' as the compnent in the changelogs from 1.3.0 onwards, so I'm marking this as resolved. Thanks for the bug

report :)
